mode = TRUE

options(warn = -1)

library(mgcv)





if(mode){

model_1 <- gam( y ~  s(t,bs="cr") +  s(t,   by=I(pol),bs="cr"),
                        data = abmdata)


X11()

data.help <- abmdata
data.help$fitted <-  fitted(model_1)
data.help <- data.help[(data.help$pol==0),]

plot(data.help$t,data.help$fitted,type="n",xlab="",ylab="Baseline" )

intercept <-  model_1$coefficients[1]

ylim <- c(min(data.help$fitted),max(data.help$fitted))
par(new=T)
plot(model_1,select=1,axes=F,ylim=ylim-intercept,ylab="",xlab="Time")

X11()

plot(model_1,select=c(2),scale=0,ylab="Policy Effect",xlab="Time")
} else {
model_2  <- gamm( y ~  s(t,bs="cr") +  s(t, by=I(pol),bs="cr")  , random=list(id = ~  t+ I(t**2)),  data = abmdata)
model_2=model_2$gam


X11()

data.help <- abmdata
data.help$fitted <-  fitted(model_2)
data.help <- data.help[(data.help$pol==0),]
plot(data.help$t,data.help$fitted,type="n",xlab="",ylab="Baseline" )
intercept <-  model_2$coefficients[1]
ylim <- c(min(data.help$fitted),max(data.help$fitted))
par(new=T)


plot(model_2,select=1,axes=F,ylim=ylim-intercept,ylab="",xlab="Time")

X11()

plot(model_2,select=c(2),scale=0,ylab="Policy Effect",xlab="Time")

}


